Package com.sun.jna.platform.win32

## Class WinUser.MONITORINFOEX

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.MONITORINFOEX

- Enclosing interface:
    WinUser

      @FieldOrder({"cbSize","rcMonitor","rcWork","dwFlags","szDevice"})
      public static class WinUser.MONITORINFOEX
      extends Structure

  The MONITORINFOEX structure contains information about a display monitor.

  The `User32.GetMonitorInfo(com.sun.jna.platform.win32.WinUser.HMONITOR, com.sun.jna.platform.win32.WinUser.MONITORINFO)` function stores information into a MONITORINFOEX structure

  The MONITORINFOEX structure is a superset of the MONITORINFO structure. The MONITORINFOEX structure adds a string member to contain a name for the display monitor.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `cbSize` | The size, in bytes, of the structure.
    `int` | `dwFlags` | The attributes of the display monitor.
    `WinDef.RECT` | `rcMonitor` | Specifies the display monitor rectangle, expressed in virtual-screen coordinates.
    `WinDef.RECT` | `rcWork` | Specifies the work area rectangle of the display monitor that can be used by applications, expressed in virtual-screen coordinates.
    `char[]` | `szDevice` | A string that specifies the device name of the monitor being used.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MONITORINFOEX()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

      The size, in bytes, of the structure.

    - #### rcMonitor

          public WinDef.RECT rcMonitor

      Specifies the display monitor rectangle, expressed in virtual-screen coordinates. Note that if the monitor is not the primary display monitor, some of the rectangle's coordinates may be negative values.

    - #### rcWork

          public WinDef.RECT rcWork

      Specifies the work area rectangle of the display monitor that can be used by applications, expressed in virtual-screen coordinates. Windows uses this rectangle to maximize an application on the monitor. The rest of the area in rcMonitor contains system windows such as the task bar and side bars. Note that if the monitor is not the primary display monitor, some of the rectangle's coordinates may be negative values.

    - #### dwFlags

          public int dwFlags

      The attributes of the display monitor. This member can be the following value.
      - MONITORINFOF_PRIMARY

    - #### szDevice

          public char[] szDevice

      A string that specifies the device name of the monitor being used. Most applications have no use for a display monitor name, and so can save some bytes by using a MONITORINFO structure.

  - ### Constructor Detail

    - #### MONITORINFOEX

          public MONITORINFOEX()